Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.impl

# Class BlobParameterBufferImp

java.lang.Object
org.firebirdsql.gds.impl.ParameterBufferBase
org.firebirdsql.gds.impl.BlobParameterBufferImp

All Implemented Interfaces:
  `Serializable`, `Iterable<Parameter>`, `BlobParameterBuffer`, `ParameterBuffer`

public class BlobParameterBufferImp extends ParameterBufferBase implements BlobParameterBuffer
Implementation of BlobParameterBuffer.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BlobParameterBufferImp()`

## Method Summary

### Methods inherited from class org.firebirdsql.gds.impl.ParameterBufferBase

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, equals, findFirst, getArgumentAsInt, getArgumentAsString, getArgumentsList, getDefaultEncoding, getLength, getParameterBufferMetaData, getType, hasArgument, hashCode, isEmpty, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.BlobParameterBuffer

`addArgument, addArgument, addArgument`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

`addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, isEmpty, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

## Constructor Details

### BlobParameterBufferImp

public BlobParameterBufferImp()